<div class="page-container">
<header class="top-bar">
    <h2 class="app-title">VehicleOverviewApp<i class="pi pi-car" style="margin-left:10px"></i></h2>
    <button class="sign-out-button" (click)="signOut()">Sign Out</button>
</header>

<main class="container">
    <div class="search-container">
        <h1 class="page-title">Vehicle List</h1>
        <p-autoComplete [(ngModel)]="searchTerm" [suggestions]="filteredVehicles" field="name" placeholder="Search vehicles" (completeMethod)="search()" (input)="onInputChange()" ></p-autoComplete>
    </div>
    <div class="table-container">
    <div *ngIf="vehicles$ | async as vehicles; else loading">
        <div *ngIf="vehicles.length > 0; else noResults">
            <p-table class="table" [value]="displayedVehicles">
                <ng-template pTemplate="header">
                    <tr>
                        <th>Name</th>
                        <th>Manufacturer</th>
                        <th>Model</th>
                        <th>Year</th>
                        <th>Type</th>
                        <th>Fuel Type</th>
                        <th>License Plate</th>
                        <th>Status</th>
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-vehicle>
                    <tr>
                        <td>{{ vehicle.name }}</td>
                        <td>{{ vehicle.manufacturer }}</td>
                        <td>{{ vehicle.model }}</td>
                        <td>{{ vehicle.year }}</td>
                        <td>{{ vehicle.type }}</td>
                        <td>{{ vehicle.fuelType }}</td>
                        <td>{{ vehicle.licensePlate }}</td>
                        <td><i class="pi" [ngClass]="{'pi-circle-on': vehicle.active, 'pi-circle-off': !vehicle.active, 'text-success': vehicle.active, 'text-danger': !vehicle.active}"></i></td>
                    </tr>
                </ng-template>
            </p-table>
        </div>
        <ng-template #noResults>
            <p>No vehicles found.</p>
        </ng-template>
    </div>
</div>
    <ng-template #loading>
        <p>Loading...</p>
    </ng-template>
</main>

<footer></footer>
</div>